<template>
    <transition name="modal">
        <div>
            <div class="vue-model" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <slot name="header"></slot>
                        </div>
                        <div class="modal-body">
                            <slot name="body"></slot>
                        </div>
                        <div class="modal-footer">
                            <slot name="footer"></slot>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-backdrop fade in"></div>
        </div>
    </transition>
</template>

<script>
    export default {
        name: "Modal",

        data() {
            return {};
        },
    };
</script>

<style scoped>
    .modal-backdrop {
        margin: 0;
        padding: 0;
    }

    .vue-model {
        position: fixed;
        z-index: 99999;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        display: flex;
        justify-content: center;
        align-items: center;
    }
</style>
